Oracle Stream Analytics information disclosure

A vulnerability, which was classified as critical, was found in Oracle Stream Analytics. Affected is an unknown function of the component Stream Analytics. The manipulation leads to information disclosure. Using CWE to declare the problem leads to CWE-200. The weakness was shared 07/19/2022 as Oracle Critical Patch Update Advisory - July 2022. The advisory is shared for download at oracle.com. This vulnerability is traded as CVE-2021-34429. It is possible to launch the attack remotely. There are no technical details available. There is no exploit available. The current price for an exploit might be approx. USD $0-$5k at the moment. The MITRE ATT&CK project declares the attack technique as T1592. It is declared as not defined. As 0-day the estimated underground price was around $5k-$25k. It is recommended to upgrade the affected component. A possible mitigation has been published immediately after the disclosure of the vulnerability.

Field07/20/2022 08:15 AM08/06/2022 05:19 PM08/06/2022 05:27 PM
vendorOracleOracleOracle
nameStream AnalyticsStream AnalyticsStream Analytics
cveCVE-2021-34429CVE-2021-34429CVE-2021-34429
componentStream AnalyticsStream AnalyticsStream Analytics
risk222
cwe200 (information disclosure)200 (information disclosure)200 (information disclosure)
cvss3_vuldb_avNNN
cvss3_vuldb_acLLL
cvss3_vuldb_prNNN
cvss3_vuldb_uiNNN
cvss3_vuldb_sUUU
cvss3_vuldb_cLLL
cvss3_vuldb_iNNN
cvss3_vuldb_aNNN
cvss3_vuldb_rcCCC
cvss3_vuldb_rlOOO
urlhttps://www.oracle.com/security-alerts/cpujul2022.htmlhttps://www.oracle.com/security-alerts/cpujul2022.htmlhttps://www.oracle.com/security-alerts/cpujul2022.html
date1658181600 (07/19/2022)1658181600 (07/19/2022)1658181600 (07/19/2022)
identifierOracle Critical Patch Update Advisory - July 2022Oracle Critical Patch Update Advisory - July 2022Oracle Critical Patch Update Advisory - July 2022
date1658181600 (07/19/2022)1658181600 (07/19/2022)1658181600 (07/19/2022)
nameUpgradeUpgradeUpgrade
cvss2_vuldb_avNNN
cvss2_vuldb_acLLL
cvss2_vuldb_auNNN
cvss2_vuldb_ciPPP
cvss2_vuldb_iiNNN
cvss2_vuldb_aiNNN
cvss2_vuldb_rcCCC
cvss2_vuldb_rlOFOFOF
cvss2_vuldb_eNDNDND
cvss3_vuldb_eXXX
cvss2_vuldb_basescore5.05.05.0
cvss2_vuldb_tempscore4.44.44.4
cvss3_vuldb_basescore5.35.35.3
cvss3_vuldb_tempscore5.15.15.1
cvss3_meta_basescore5.35.35.3
cvss3_meta_tempscore5.15.15.2
price_0day$5k-$25k$5k-$25k$5k-$25k
cve_assigned1623189600 (06/09/2021)1623189600 (06/09/2021)
cve_nvd_summaryFor Eclipse Jetty versions 9.4.37-9.4.42, 10.0.1-10.0.5 & 11.0.1-11.0.5, URIs can be crafted using some encoded characters to access the content of the WEB-INF directory and/or bypass some security constraints. This is a variation of the vulnerability reported in CVE-2021-28164/GHSA-v7ff-8wcx-gmc5.For Eclipse Jetty versions 9.4.37-9.4.42, 10.0.1-10.0.5 & 11.0.1-11.0.5, URIs can be crafted using some encoded characters to access the content of the WEB-INF directory and/or bypass some security constraints. This is a variation of the vulnerability reported in CVE-2021-28164/GHSA-v7ff-8wcx-gmc5.
cvss2_nvd_avN
cvss2_nvd_acL
cvss2_nvd_auN
cvss2_nvd_ciP
cvss2_nvd_iiN
cvss2_nvd_aiN
cvss3_cna_avN
cvss3_cna_acL
cvss3_cna_prN
cvss3_cna_uiN
cvss3_cna_sU
cvss3_cna_cL
cvss3_cna_iN
cvss3_cna_aN
cve_cnaEclipse Foundation
cvss2_nvd_basescore5.0
cvss3_cna_basescore5.3

Want to stay up to date on a daily basis?

Enable the mail alert feature now!